#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Nov  7 12:45:11 2022

@author: victor
"""

import matplotlib
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.mlab as mlab
import math
import csv, operator
import scipy.stats as st
from numpy import random
import pandas as pd
from datetime import datetime
from pandas import *
from scipy.stats import norm

matplotlib.pyplot.savefig

#df = df.rename(columns={'oldName1': 'newName1', 'oldName2': 'newName2'})


##Este código Python servirá para analizar los datos correspondientes al WCD Characatito. 
##Existen diferentes terminaciones de archivos que corresponden a datos de análisis distintos.
##Pero todos los archivos comparten el mismo nombre, salvo la terminación.

##Luego de realizar el primer procesamiento de datos (Lo a L1) con ./raw en la terminal, 
##procedemos a estudiar la data adquirida aquí. Las terminaciones de archivos que nos interesan
##son: .rte (pulsos detectados por unidad de tiempo fijada por el usuario), .flx (pulsos detec-
##tados por segundo)

#dfc0000 = dfc0000.drop(dfc0000.columns[[0, 2, 3, 4, 5, 6]], axis=1)

##PARA MODIFICAR EL NÚMERO DE BINES

Bines = 50
Opac = 0.5
Rwidth = 0.85
Xmin = 1200
Xmax = 2000
ajust = 0.076

###----------------------------------------------------------------------

def victorcal(name):
    #read(name)
    df=pd.read_csv(name, sep=' ',skiprows=6)
    df.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']
    df = df.drop(df.columns[[1, 2, 3, 4, 5, 6]], axis=1)
    
    df.plot(kind='hist',
                alpha=0.4,
                bins=Bines,
                rot=45,
                grid=True,
                color = 'blue',
                rwidth=Rwidth,
                figsize=(12,8),
                fontsize=15)
    plt.xlabel('Carga [ADC.bin]', fontsize = 'xx-large')
    #plt.tick_params(labelsize = 2)
    plt.xticks(np.arange(0, 5500, 250))
    plt.yscale('log')
    plt.title("Histograma de Cargas - WCD Characatito - Julio", fontsize = 'xx-large')
    plt.ylabel("Logaritmo de Conteos registrados", fontsize = 'xx-large')
    plt.axvline(x = 1570, color = 'red')
    plt.text(2000, 120, 'Vertical Equivalent Muon Peak', color = 'red', fontsize= 'xx-large')   

    
##Aquí estaba antes return df y se borra de abajo. Si se quiere modificar individualmente
##los histogramas, se copia toda la parte de abajo y se saca de la definición def victorcal(name)

    df=df[df['ch1']<Xmax]
    df=df[df['ch1']>Xmin]
    df.hist(bins=Bines, color = 'blue', alpha= Opac, rwidth=Rwidth)

    # Plot the Gaussian PDF
   
  
    xmin, xmax = plt.xlim()
    x = np.linspace(Xmin, Xmax, 8500)
   
    mu, std = norm.fit(df)
    gfit = norm.pdf(x, mu, std) * 8500
    plt.plot(x, gfit, 'r--', linewidth=1)
    title = "Valores de Ajuste Gaussiano - VEM - 29 de Julio"
    plt.text(1800, 12, r'$\mu={:.2f}, \sigma= {:.2f}$'.format(mu, std))
    plt.title(title)
    
 
    
    return df
###------------------------------------------------------------------------

#-----------------------Julio

#df = victorcal('l1_v5_characatito_nogps_2022_07_22_22h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_07_23_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_23_16h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_23_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_23_19h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_23_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_23_22h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_23_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_07_24_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_07h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_11h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_12h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_13h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_14h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_16h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_17h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_24_19h00.cal')
#PROBLEMA ------------ df = victorcal('l1_v5_characatito_nogps_2022_07_24_20h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_07_28_07h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_28_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_28_22h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_28_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_07_29_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_06h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_07h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_08h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_10h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_11h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_12h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_13h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_14h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_16h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_17h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_19h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_20h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_22h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_29_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_07_30_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_30_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_30_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_30_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_30_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_30_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_07_30_06h00.cal')
#PROBLEMA ------------ df = victorcal('l1_v5_characatito_nogps_2022_07_30_07h00.cal')


#-----------------------Agosto

#df = victorcal('l1_v5_characatito_nogps_2022_08_11_09h00.cal')
#con gfit magnificada por 1500, texto de la gaussiana en 690,12. rango del histograma de 0 a 2500
#Xmin en 550 y Xmax en 750

#df = victorcal('l1_v5_characatito_nogps_2022_08_06_08h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_10h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_16h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_19h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_22h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_06_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_08_07_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_06h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_07h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_08h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_10h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_11h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_12h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_13h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_14h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_16h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_17h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_20h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_07_21h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_08_08_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_08_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_08_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_08_05h00.cal')

#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_11_09h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_11_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_11_22h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_11_23h00.cal')

#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_17_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_17_18h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_17_19h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_17_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_08_18_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_08_19_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_19_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_19_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_19_04h00.cal')
#PROBLEMA ------------ df = victorcal('l1_v5_characatito_nogps_2022_08_19_05h00.cal')

#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_21_21h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_21_22h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_21_23h00.cal')

#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_22_00h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_22_01h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_22_02h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_22_03h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_22_04h00.cal')
#PROBLEMA ------------df = victorcal('l1_v5_characatito_nogps_2022_08_22_05h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_22_06h00.cal')

#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_03h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_04h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_05h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_06h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_14h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_22h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_23_23h00.cal')

#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_00h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_01h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_02h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_03h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_13h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_14h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_15h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_16h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_19h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_21h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_24_23h00.cal')

#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_08_29_17h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_29_18h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_29_19h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_29_20h00.cal')
#PROBLEMA -- CENTRO DESPLAZADO HACIA LA DERECHA --df = victorcal('l1_v5_characatito_nogps_2022_08_29_21h00.cal')
#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_08_29_22h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_08_30_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_30_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_30_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_30_06h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_30_07h00.cal')
#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_08_30_08h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_08_30_19h00.cal')
#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_08_30_20h00.cal')


#----------------------Septiembre

#df = victorcal('l1_v5_characatito_nogps_2022_09_19_15h00.cal')
#con gfit magnificada por 3500, texto de la gaussiana en 1700,12. rango del histograma de 0 a 5500
#Xmin en 1400 y Xmax en 1800

#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_01_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_01_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_01_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_01_06h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_01_07h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_01_08h00.cal')
#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_01_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_01_15h00.cal')
#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_01_16h00.cal')
#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_01_17h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_09_02_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_06h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_07h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_08h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_02_10h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_09_05_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_05_09h00.cal')

#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_15_16h00.cal')

#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_16_00h00.cal')

#PROBLEMA --------------------df = victorcal('l1_v5_characatito_nogps_2022_09_19_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_12h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_14h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_19h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_19_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_09_20_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_01h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_03h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_06h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_08h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_09h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_10h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_11h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_12h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_13h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_14h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_15h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_16h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_17h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_18h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_19h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_21h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_20_23h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_09_21_02h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_21_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_21_05h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_21_06h00.cal')

#df = victorcal('l1_v5_characatito_nogps_2022_09_22_00h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_09_22_04h00.cal')

#----------------------Octubre

#df = victorcal('l1_v5_characatito_nogps_2022_10_05_18h00.cal')
#con gfit magnificada por 3500, texto de la gaussiana en 1700,12. rango del histograma de 0 a 5500
#Xmin en 1400 y Xmax en 1900

#df = victorcal('l1_v5_characatito_nogps_2022_10_04_13h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_10_05_04h00.cal')
#df = victorcal('l1_v5_characatito_nogps_2022_10_05_18h00.cal')
