#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Nov  7 12:45:11 2022

@author: victor
"""

import matplotlib
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.mlab as mlab
import math
import csv, operator
import scipy.stats as st
from numpy import random
import pandas as pd
import datetime
#from datetime import datetime
from pandas import *
from scipy.stats import norm

matplotlib.pyplot.savefig


media = 600
opac = 0.9


#df = df.rename(columns={'oldName1': 'newName1', 'oldName2': 'newName2'})


##Este código Python servirá para analizar los datos correspondientes al WCD Characatito. 
##Existen diferentes terminaciones de archivos que corresponden a datos de análisis distintos.
##Pero todos los archivos comparten el mismo nombre, salvo la terminación.

##Luego de realizar el primer procesamiento de datos (Lo a L1) con ./raw en la terminal, 
##procedemos a estudiar la data adquirida aquí. Las terminaciones de archivos que nos interesan
##son: .rte (pulsos detectados por unidad de tiempo fijada por el usuario), .flx (pulsos detec-
##tados por segundo)


def victorflux(name):
    #read(name)
    df=pd.read_csv(name, sep=' ',skiprows=6)
    df.columns=['unix',' temperature',' pressure','flujo', '1','2','3']
    df = df.drop(df.columns[[1, 2, 4, 5, 6]], axis=1)        
    df['unix'] = pd.to_datetime(df['unix'],unit='s')
#   df['day'] = df['unix'].dt.day
#   df['flujo'].hist(bins=450)
#   plt.grid

    df['media']=df['flujo'].rolling(window=media).mean().shift(1)


#    print('Forma del documento (filas y columnas):', df.shape)
#    print(df.head())
    
    return df


####---------------------------------JULIO---------------------

df1=victorflux('l1_v5_characatito_nogps_2022_07_22_22h00.rte')
df2=victorflux('l1_v5_characatito_nogps_2022_07_22_23h00.rte')

df3=victorflux('l1_v5_characatito_nogps_2022_07_23_00h00.rte')
df4=victorflux('l1_v5_characatito_nogps_2022_07_23_01h00.rte')
df5=victorflux('l1_v5_characatito_nogps_2022_07_23_02h00.rte')
df6=victorflux('l1_v5_characatito_nogps_2022_07_23_03h00.rte')
df7=victorflux('l1_v5_characatito_nogps_2022_07_23_04h00.rte')
df8=victorflux('l1_v5_characatito_nogps_2022_07_23_05h00.rte')
df9=victorflux('l1_v5_characatito_nogps_2022_07_23_06h00.rte')
df10=victorflux('l1_v5_characatito_nogps_2022_07_23_07h00.rte')
df11=victorflux('l1_v5_characatito_nogps_2022_07_23_08h00.rte')
df12=victorflux('l1_v5_characatito_nogps_2022_07_23_09h00.rte')
df13=victorflux('l1_v5_characatito_nogps_2022_07_23_10h00.rte')
df14=victorflux('l1_v5_characatito_nogps_2022_07_23_11h00.rte')
df15=victorflux('l1_v5_characatito_nogps_2022_07_23_12h00.rte')
df16=victorflux('l1_v5_characatito_nogps_2022_07_23_13h00.rte')
df17=victorflux('l1_v5_characatito_nogps_2022_07_23_14h00.rte')
df18=victorflux('l1_v5_characatito_nogps_2022_07_23_15h00.rte')
df19=victorflux('l1_v5_characatito_nogps_2022_07_23_16h00.rte')
df20=victorflux('l1_v5_characatito_nogps_2022_07_23_17h00.rte')
df21=victorflux('l1_v5_characatito_nogps_2022_07_23_18h00.rte')
df22=victorflux('l1_v5_characatito_nogps_2022_07_23_19h00.rte')
df23=victorflux('l1_v5_characatito_nogps_2022_07_23_20h00.rte')
df24=victorflux('l1_v5_characatito_nogps_2022_07_23_21h00.rte')
df25=victorflux('l1_v5_characatito_nogps_2022_07_23_22h00.rte')
df26=victorflux('l1_v5_characatito_nogps_2022_07_23_23h00.rte')

df27=victorflux('l1_v5_characatito_nogps_2022_07_24_00h00.rte')
df28=victorflux('l1_v5_characatito_nogps_2022_07_24_01h00.rte')
df29=victorflux('l1_v5_characatito_nogps_2022_07_24_02h00.rte')
df30=victorflux('l1_v5_characatito_nogps_2022_07_24_03h00.rte')
df31=victorflux('l1_v5_characatito_nogps_2022_07_24_04h00.rte')
df32=victorflux('l1_v5_characatito_nogps_2022_07_24_05h00.rte')
df33=victorflux('l1_v5_characatito_nogps_2022_07_24_06h00.rte')
df34=victorflux('l1_v5_characatito_nogps_2022_07_24_07h00.rte')
df35=victorflux('l1_v5_characatito_nogps_2022_07_24_08h00.rte')
df36=victorflux('l1_v5_characatito_nogps_2022_07_24_09h00.rte')
df37=victorflux('l1_v5_characatito_nogps_2022_07_24_10h00.rte')
df38=victorflux('l1_v5_characatito_nogps_2022_07_24_11h00.rte')
df39=victorflux('l1_v5_characatito_nogps_2022_07_24_12h00.rte')
df40=victorflux('l1_v5_characatito_nogps_2022_07_24_13h00.rte')
df41=victorflux('l1_v5_characatito_nogps_2022_07_24_14h00.rte')
df42=victorflux('l1_v5_characatito_nogps_2022_07_24_15h00.rte')
df43=victorflux('l1_v5_characatito_nogps_2022_07_24_16h00.rte')
df44=victorflux('l1_v5_characatito_nogps_2022_07_24_17h00.rte')
df45=victorflux('l1_v5_characatito_nogps_2022_07_24_18h00.rte')
df46=victorflux('l1_v5_characatito_nogps_2022_07_24_19h00.rte')
df47=victorflux('l1_v5_characatito_nogps_2022_07_24_20h00.rte')
df48=victorflux('l1_v5_characatito_nogps_2022_07_24_21h00.rte')
df49=victorflux('l1_v5_characatito_nogps_2022_07_24_22h00.rte')
df50=victorflux('l1_v5_characatito_nogps_2022_07_24_23h00.rte')

df51=victorflux('l1_v5_characatito_nogps_2022_07_25_00h00.rte')
df52=victorflux('l1_v5_characatito_nogps_2022_07_25_01h00.rte')
df53=victorflux('l1_v5_characatito_nogps_2022_07_25_02h00.rte')
df54=victorflux('l1_v5_characatito_nogps_2022_07_25_03h00.rte')
df55=victorflux('l1_v5_characatito_nogps_2022_07_25_04h00.rte')
df56=victorflux('l1_v5_characatito_nogps_2022_07_25_05h00.rte')
df57=victorflux('l1_v5_characatito_nogps_2022_07_25_06h00.rte')
df58=victorflux('l1_v5_characatito_nogps_2022_07_25_07h00.rte')
df59=victorflux('l1_v5_characatito_nogps_2022_07_25_08h00.rte')
df60=victorflux('l1_v5_characatito_nogps_2022_07_25_09h00.rte')
df61=victorflux('l1_v5_characatito_nogps_2022_07_25_10h00.rte')
df62=victorflux('l1_v5_characatito_nogps_2022_07_25_11h00.rte')
df63=victorflux('l1_v5_characatito_nogps_2022_07_25_12h00.rte')
df64=victorflux('l1_v5_characatito_nogps_2022_07_25_13h00.rte')
df65=victorflux('l1_v5_characatito_nogps_2022_07_25_14h00.rte')
df66=victorflux('l1_v5_characatito_nogps_2022_07_25_15h00.rte')
df67=victorflux('l1_v5_characatito_nogps_2022_07_25_16h00.rte')
df68=victorflux('l1_v5_characatito_nogps_2022_07_25_17h00.rte')
df69=victorflux('l1_v5_characatito_nogps_2022_07_25_18h00.rte')
df70=victorflux('l1_v5_characatito_nogps_2022_07_25_19h00.rte')
df71=victorflux('l1_v5_characatito_nogps_2022_07_25_20h00.rte')
df72=victorflux('l1_v5_characatito_nogps_2022_07_25_21h00.rte')
df73=victorflux('l1_v5_characatito_nogps_2022_07_25_22h00.rte')
df74=victorflux('l1_v5_characatito_nogps_2022_07_25_23h00.rte')

df75=victorflux('l1_v5_characatito_nogps_2022_07_26_00h00.rte')
df76=victorflux('l1_v5_characatito_nogps_2022_07_26_01h00.rte')
df77=victorflux('l1_v5_characatito_nogps_2022_07_26_02h00.rte')
df78=victorflux('l1_v5_characatito_nogps_2022_07_26_03h00.rte')
df79=victorflux('l1_v5_characatito_nogps_2022_07_26_04h00.rte')
df80=victorflux('l1_v5_characatito_nogps_2022_07_26_05h00.rte')
df81=victorflux('l1_v5_characatito_nogps_2022_07_26_06h00.rte')
df82=victorflux('l1_v5_characatito_nogps_2022_07_26_07h00.rte')
df83=victorflux('l1_v5_characatito_nogps_2022_07_26_08h00.rte')
df84=victorflux('l1_v5_characatito_nogps_2022_07_26_09h00.rte')
df85=victorflux('l1_v5_characatito_nogps_2022_07_26_10h00.rte')
df86=victorflux('l1_v5_characatito_nogps_2022_07_26_11h00.rte')
df87=victorflux('l1_v5_characatito_nogps_2022_07_26_12h00.rte')
df88=victorflux('l1_v5_characatito_nogps_2022_07_26_13h00.rte')
df89=victorflux('l1_v5_characatito_nogps_2022_07_26_14h00.rte')
df90=victorflux('l1_v5_characatito_nogps_2022_07_26_15h00.rte')
df91=victorflux('l1_v5_characatito_nogps_2022_07_26_16h00.rte')
df92=victorflux('l1_v5_characatito_nogps_2022_07_26_17h00.rte')
df93=victorflux('l1_v5_characatito_nogps_2022_07_26_18h00.rte')
df94=victorflux('l1_v5_characatito_nogps_2022_07_26_20h00.rte')
df95=victorflux('l1_v5_characatito_nogps_2022_07_26_21h00.rte')
df96=victorflux('l1_v5_characatito_nogps_2022_07_26_22h00.rte')
df97=victorflux('l1_v5_characatito_nogps_2022_07_26_23h00.rte')

#df98=victorflux('l1_v5_characatito_nogps_2022_07_27_15h00.rte')

df99=victorflux('l1_v5_characatito_nogps_2022_07_28_00h00.rte')
df100=victorflux('l1_v5_characatito_nogps_2022_07_28_01h00.rte')
df101=victorflux('l1_v5_characatito_nogps_2022_07_28_02h00.rte')
df102=victorflux('l1_v5_characatito_nogps_2022_07_28_03h00.rte')
df103=victorflux('l1_v5_characatito_nogps_2022_07_28_04h00.rte')
df104=victorflux('l1_v5_characatito_nogps_2022_07_28_05h00.rte')
df105=victorflux('l1_v5_characatito_nogps_2022_07_28_06h00.rte')
df106=victorflux('l1_v5_characatito_nogps_2022_07_28_07h00.rte')
df107=victorflux('l1_v5_characatito_nogps_2022_07_28_08h00.rte')
df108=victorflux('l1_v5_characatito_nogps_2022_07_28_09h00.rte')
df109=victorflux('l1_v5_characatito_nogps_2022_07_28_10h00.rte')
df110=victorflux('l1_v5_characatito_nogps_2022_07_28_11h00.rte')
df111=victorflux('l1_v5_characatito_nogps_2022_07_28_12h00.rte')
df112=victorflux('l1_v5_characatito_nogps_2022_07_28_13h00.rte')
df113=victorflux('l1_v5_characatito_nogps_2022_07_28_14h00.rte')
df114=victorflux('l1_v5_characatito_nogps_2022_07_28_15h00.rte')
df115=victorflux('l1_v5_characatito_nogps_2022_07_28_16h00.rte')
df116=victorflux('l1_v5_characatito_nogps_2022_07_28_17h00.rte')
df117=victorflux('l1_v5_characatito_nogps_2022_07_28_18h00.rte')
df118=victorflux('l1_v5_characatito_nogps_2022_07_28_20h00.rte')
df119=victorflux('l1_v5_characatito_nogps_2022_07_28_21h00.rte')
df120=victorflux('l1_v5_characatito_nogps_2022_07_28_22h00.rte')
df121=victorflux('l1_v5_characatito_nogps_2022_07_28_23h00.rte')

df122=victorflux('l1_v5_characatito_nogps_2022_07_29_00h00.rte')
df123=victorflux('l1_v5_characatito_nogps_2022_07_29_01h00.rte')
df124=victorflux('l1_v5_characatito_nogps_2022_07_29_02h00.rte')
df125=victorflux('l1_v5_characatito_nogps_2022_07_29_03h00.rte')
df126=victorflux('l1_v5_characatito_nogps_2022_07_29_04h00.rte')
df127=victorflux('l1_v5_characatito_nogps_2022_07_29_05h00.rte')
df128=victorflux('l1_v5_characatito_nogps_2022_07_29_06h00.rte')
df129=victorflux('l1_v5_characatito_nogps_2022_07_29_07h00.rte')
df130=victorflux('l1_v5_characatito_nogps_2022_07_29_08h00.rte')
df131=victorflux('l1_v5_characatito_nogps_2022_07_29_09h00.rte')
df132=victorflux('l1_v5_characatito_nogps_2022_07_29_10h00.rte')
df133=victorflux('l1_v5_characatito_nogps_2022_07_29_11h00.rte')
df134=victorflux('l1_v5_characatito_nogps_2022_07_29_12h00.rte')
df135=victorflux('l1_v5_characatito_nogps_2022_07_29_13h00.rte')
df136=victorflux('l1_v5_characatito_nogps_2022_07_29_14h00.rte')
df137=victorflux('l1_v5_characatito_nogps_2022_07_29_15h00.rte')
df138=victorflux('l1_v5_characatito_nogps_2022_07_29_16h00.rte')
df139=victorflux('l1_v5_characatito_nogps_2022_07_29_17h00.rte')
df140=victorflux('l1_v5_characatito_nogps_2022_07_29_18h00.rte')
df141=victorflux('l1_v5_characatito_nogps_2022_07_29_20h00.rte')
df142=victorflux('l1_v5_characatito_nogps_2022_07_29_21h00.rte')
df143=victorflux('l1_v5_characatito_nogps_2022_07_29_22h00.rte')
df144=victorflux('l1_v5_characatito_nogps_2022_07_29_23h00.rte')

df145=victorflux('l1_v5_characatito_nogps_2022_07_30_00h00.rte')
df146=victorflux('l1_v5_characatito_nogps_2022_07_30_01h00.rte')
df147=victorflux('l1_v5_characatito_nogps_2022_07_30_02h00.rte')
df148=victorflux('l1_v5_characatito_nogps_2022_07_30_03h00.rte')
df149=victorflux('l1_v5_characatito_nogps_2022_07_30_04h00.rte')
df150=victorflux('l1_v5_characatito_nogps_2022_07_30_05h00.rte')
df151=victorflux('l1_v5_characatito_nogps_2022_07_30_06h00.rte')
df152=victorflux('l1_v5_characatito_nogps_2022_07_30_07h00.rte')
#df153=victorflux('l1_v5_characatito_nogps_2022_07_30_08h00.rte')

######--------------------------------- AGOSTO-----------------

df154=victorflux('l1_v5_characatito_nogps_2022_08_03_22h00.rte')
df155=victorflux('l1_v5_characatito_nogps_2022_08_03_23h00.rte')

df156=victorflux('l1_v5_characatito_nogps_2022_08_04_00h00.rte')
df157=victorflux('l1_v5_characatito_nogps_2022_08_04_01h00.rte')
df158=victorflux('l1_v5_characatito_nogps_2022_08_04_02h00.rte')
df159=victorflux('l1_v5_characatito_nogps_2022_08_04_03h00.rte')
df160=victorflux('l1_v5_characatito_nogps_2022_08_04_04h00.rte')
df161=victorflux('l1_v5_characatito_nogps_2022_08_04_05h00.rte')
df162=victorflux('l1_v5_characatito_nogps_2022_08_04_06h00.rte')
df163=victorflux('l1_v5_characatito_nogps_2022_08_04_07h00.rte')
df164=victorflux('l1_v5_characatito_nogps_2022_08_04_08h00.rte')
df165=victorflux('l1_v5_characatito_nogps_2022_08_04_09h00.rte')
df166=victorflux('l1_v5_characatito_nogps_2022_08_04_10h00.rte')
df167=victorflux('l1_v5_characatito_nogps_2022_08_04_11h00.rte')
df168=victorflux('l1_v5_characatito_nogps_2022_08_04_12h00.rte')
df169=victorflux('l1_v5_characatito_nogps_2022_08_04_13h00.rte')
df170=victorflux('l1_v5_characatito_nogps_2022_08_04_14h00.rte')
df171=victorflux('l1_v5_characatito_nogps_2022_08_04_15h00.rte')
df172=victorflux('l1_v5_characatito_nogps_2022_08_04_16h00.rte')
df173=victorflux('l1_v5_characatito_nogps_2022_08_04_17h00.rte')
df174=victorflux('l1_v5_characatito_nogps_2022_08_04_18h00.rte')
df175=victorflux('l1_v5_characatito_nogps_2022_08_04_20h00.rte')
df176=victorflux('l1_v5_characatito_nogps_2022_08_04_21h00.rte')
df177=victorflux('l1_v5_characatito_nogps_2022_08_04_22h00.rte')
df178=victorflux('l1_v5_characatito_nogps_2022_08_04_23h00.rte')

df179=victorflux('l1_v5_characatito_nogps_2022_08_05_00h00.rte')
df180=victorflux('l1_v5_characatito_nogps_2022_08_05_01h00.rte')
df181=victorflux('l1_v5_characatito_nogps_2022_08_05_02h00.rte')
df182=victorflux('l1_v5_characatito_nogps_2022_08_05_03h00.rte')
df183=victorflux('l1_v5_characatito_nogps_2022_08_05_04h00.rte')
df184=victorflux('l1_v5_characatito_nogps_2022_08_05_05h00.rte')
df185=victorflux('l1_v5_characatito_nogps_2022_08_05_06h00.rte')
df186=victorflux('l1_v5_characatito_nogps_2022_08_05_07h00.rte')
df187=victorflux('l1_v5_characatito_nogps_2022_08_05_08h00.rte')
df188=victorflux('l1_v5_characatito_nogps_2022_08_05_09h00.rte')
df189=victorflux('l1_v5_characatito_nogps_2022_08_05_10h00.rte')
df190=victorflux('l1_v5_characatito_nogps_2022_08_05_11h00.rte')
df191=victorflux('l1_v5_characatito_nogps_2022_08_05_12h00.rte')
df192=victorflux('l1_v5_characatito_nogps_2022_08_05_13h00.rte')
df193=victorflux('l1_v5_characatito_nogps_2022_08_05_14h00.rte')
df194=victorflux('l1_v5_characatito_nogps_2022_08_05_15h00.rte')
df195=victorflux('l1_v5_characatito_nogps_2022_08_05_16h00.rte')
df196=victorflux('l1_v5_characatito_nogps_2022_08_05_17h00.rte')
df197=victorflux('l1_v5_characatito_nogps_2022_08_05_18h00.rte')
df198=victorflux('l1_v5_characatito_nogps_2022_08_05_19h00.rte')
df199=victorflux('l1_v5_characatito_nogps_2022_08_05_20h00.rte')
df200=victorflux('l1_v5_characatito_nogps_2022_08_05_21h00.rte')
df201=victorflux('l1_v5_characatito_nogps_2022_08_05_22h00.rte')
df202=victorflux('l1_v5_characatito_nogps_2022_08_05_23h00.rte')

df203=victorflux('l1_v5_characatito_nogps_2022_08_06_00h00.rte')
df204=victorflux('l1_v5_characatito_nogps_2022_08_06_01h00.rte')
df205=victorflux('l1_v5_characatito_nogps_2022_08_06_02h00.rte')
df206=victorflux('l1_v5_characatito_nogps_2022_08_06_03h00.rte')
df207=victorflux('l1_v5_characatito_nogps_2022_08_06_04h00.rte')
df208=victorflux('l1_v5_characatito_nogps_2022_08_06_05h00.rte')
df209=victorflux('l1_v5_characatito_nogps_2022_08_06_06h00.rte')
df210=victorflux('l1_v5_characatito_nogps_2022_08_06_07h00.rte')
df211=victorflux('l1_v5_characatito_nogps_2022_08_06_08h00.rte')
df212=victorflux('l1_v5_characatito_nogps_2022_08_06_09h00.rte')
df213=victorflux('l1_v5_characatito_nogps_2022_08_06_10h00.rte')
df214=victorflux('l1_v5_characatito_nogps_2022_08_06_11h00.rte')
df215=victorflux('l1_v5_characatito_nogps_2022_08_06_12h00.rte')
df216=victorflux('l1_v5_characatito_nogps_2022_08_06_13h00.rte')
df217=victorflux('l1_v5_characatito_nogps_2022_08_06_14h00.rte')
df218=victorflux('l1_v5_characatito_nogps_2022_08_06_15h00.rte')
df219=victorflux('l1_v5_characatito_nogps_2022_08_06_16h00.rte')
df220=victorflux('l1_v5_characatito_nogps_2022_08_06_17h00.rte')
df221=victorflux('l1_v5_characatito_nogps_2022_08_06_18h00.rte')
df222=victorflux('l1_v5_characatito_nogps_2022_08_06_19h00.rte')
df223=victorflux('l1_v5_characatito_nogps_2022_08_06_20h00.rte')
df224=victorflux('l1_v5_characatito_nogps_2022_08_06_21h00.rte')
df225=victorflux('l1_v5_characatito_nogps_2022_08_06_22h00.rte')
df226=victorflux('l1_v5_characatito_nogps_2022_08_06_23h00.rte')

df227=victorflux('l1_v5_characatito_nogps_2022_08_07_00h00.rte')
df228=victorflux('l1_v5_characatito_nogps_2022_08_07_01h00.rte')
df229=victorflux('l1_v5_characatito_nogps_2022_08_07_02h00.rte')
df230=victorflux('l1_v5_characatito_nogps_2022_08_07_03h00.rte')
df231=victorflux('l1_v5_characatito_nogps_2022_08_07_04h00.rte')
df232=victorflux('l1_v5_characatito_nogps_2022_08_07_05h00.rte')
df233=victorflux('l1_v5_characatito_nogps_2022_08_07_06h00.rte')
df234=victorflux('l1_v5_characatito_nogps_2022_08_07_07h00.rte')
df235=victorflux('l1_v5_characatito_nogps_2022_08_07_08h00.rte')
df236=victorflux('l1_v5_characatito_nogps_2022_08_07_09h00.rte')
df237=victorflux('l1_v5_characatito_nogps_2022_08_07_10h00.rte')
df238=victorflux('l1_v5_characatito_nogps_2022_08_07_11h00.rte')
df239=victorflux('l1_v5_characatito_nogps_2022_08_07_12h00.rte')
df240=victorflux('l1_v5_characatito_nogps_2022_08_07_13h00.rte')
df241=victorflux('l1_v5_characatito_nogps_2022_08_07_14h00.rte')
df242=victorflux('l1_v5_characatito_nogps_2022_08_07_15h00.rte')
df243=victorflux('l1_v5_characatito_nogps_2022_08_07_16h00.rte')
df244=victorflux('l1_v5_characatito_nogps_2022_08_07_17h00.rte')
df245=victorflux('l1_v5_characatito_nogps_2022_08_07_18h00.rte')
df246=victorflux('l1_v5_characatito_nogps_2022_08_07_19h00.rte')
df247=victorflux('l1_v5_characatito_nogps_2022_08_07_20h00.rte')
df248=victorflux('l1_v5_characatito_nogps_2022_08_07_21h00.rte')
df249=victorflux('l1_v5_characatito_nogps_2022_08_07_22h00.rte')
df250=victorflux('l1_v5_characatito_nogps_2022_08_07_23h00.rte')

df251=victorflux('l1_v5_characatito_nogps_2022_08_08_00h00.rte')
df252=victorflux('l1_v5_characatito_nogps_2022_08_08_01h00.rte')
df253=victorflux('l1_v5_characatito_nogps_2022_08_08_02h00.rte')
df254=victorflux('l1_v5_characatito_nogps_2022_08_08_03h00.rte')
df255=victorflux('l1_v5_characatito_nogps_2022_08_08_04h00.rte')
df256=victorflux('l1_v5_characatito_nogps_2022_08_08_05h00.rte')
df257=victorflux('l1_v5_characatito_nogps_2022_08_08_06h00.rte')
df258=victorflux('l1_v5_characatito_nogps_2022_08_08_07h00.rte')
df259=victorflux('l1_v5_characatito_nogps_2022_08_08_08h00.rte')
df260=victorflux('l1_v5_characatito_nogps_2022_08_08_09h00.rte')
df261=victorflux('l1_v5_characatito_nogps_2022_08_08_10h00.rte')
df262=victorflux('l1_v5_characatito_nogps_2022_08_08_11h00.rte')
df263=victorflux('l1_v5_characatito_nogps_2022_08_08_12h00.rte')
df264=victorflux('l1_v5_characatito_nogps_2022_08_08_13h00.rte')
df265=victorflux('l1_v5_characatito_nogps_2022_08_08_14h00.rte')
df266=victorflux('l1_v5_characatito_nogps_2022_08_08_15h00.rte')
df267=victorflux('l1_v5_characatito_nogps_2022_08_08_16h00.rte')
df268=victorflux('l1_v5_characatito_nogps_2022_08_08_17h00.rte')
df269=victorflux('l1_v5_characatito_nogps_2022_08_08_18h00.rte')
df270=victorflux('l1_v5_characatito_nogps_2022_08_08_18h00.rte')
df271=victorflux('l1_v5_characatito_nogps_2022_08_08_19h00.rte')
df272=victorflux('l1_v5_characatito_nogps_2022_08_08_20h00.rte')
df273=victorflux('l1_v5_characatito_nogps_2022_08_08_21h00.rte')
df274=victorflux('l1_v5_characatito_nogps_2022_08_08_22h00.rte')
df275=victorflux('l1_v5_characatito_nogps_2022_08_08_23h00.rte')

df276=victorflux('l1_v5_characatito_nogps_2022_08_09_00h00.rte')
df277=victorflux('l1_v5_characatito_nogps_2022_08_09_01h00.rte')
df278=victorflux('l1_v5_characatito_nogps_2022_08_09_02h00.rte')
df279=victorflux('l1_v5_characatito_nogps_2022_08_09_03h00.rte')
df280=victorflux('l1_v5_characatito_nogps_2022_08_09_04h00.rte')
df281=victorflux('l1_v5_characatito_nogps_2022_08_09_05h00.rte')
df282=victorflux('l1_v5_characatito_nogps_2022_08_09_06h00.rte')
df283=victorflux('l1_v5_characatito_nogps_2022_08_09_07h00.rte')
df284=victorflux('l1_v5_characatito_nogps_2022_08_09_08h00.rte')
df285=victorflux('l1_v5_characatito_nogps_2022_08_09_09h00.rte')
df286=victorflux('l1_v5_characatito_nogps_2022_08_09_10h00.rte')
df287=victorflux('l1_v5_characatito_nogps_2022_08_09_11h00.rte')
df288=victorflux('l1_v5_characatito_nogps_2022_08_09_12h00.rte')
df289=victorflux('l1_v5_characatito_nogps_2022_08_09_13h00.rte')
df290=victorflux('l1_v5_characatito_nogps_2022_08_09_14h00.rte')
df291=victorflux('l1_v5_characatito_nogps_2022_08_09_15h00.rte')
df292=victorflux('l1_v5_characatito_nogps_2022_08_09_16h00.rte')
df293=victorflux('l1_v5_characatito_nogps_2022_08_09_17h00.rte')
df294=victorflux('l1_v5_characatito_nogps_2022_08_09_18h00.rte')
df295=victorflux('l1_v5_characatito_nogps_2022_08_09_19h00.rte')
df296=victorflux('l1_v5_characatito_nogps_2022_08_09_20h00.rte')
df297=victorflux('l1_v5_characatito_nogps_2022_08_09_21h00.rte')
df298=victorflux('l1_v5_characatito_nogps_2022_08_09_22h00.rte')
df299=victorflux('l1_v5_characatito_nogps_2022_08_09_23h00.rte')

df300=victorflux('l1_v5_characatito_nogps_2022_08_10_00h00.rte')
df301=victorflux('l1_v5_characatito_nogps_2022_08_10_01h00.rte')
df302=victorflux('l1_v5_characatito_nogps_2022_08_10_02h00.rte')
df303=victorflux('l1_v5_characatito_nogps_2022_08_10_03h00.rte')
df304=victorflux('l1_v5_characatito_nogps_2022_08_10_04h00.rte')
df305=victorflux('l1_v5_characatito_nogps_2022_08_10_05h00.rte')
df306=victorflux('l1_v5_characatito_nogps_2022_08_10_06h00.rte')
df307=victorflux('l1_v5_characatito_nogps_2022_08_10_07h00.rte')
df308=victorflux('l1_v5_characatito_nogps_2022_08_10_08h00.rte')
df309=victorflux('l1_v5_characatito_nogps_2022_08_10_09h00.rte')
df310=victorflux('l1_v5_characatito_nogps_2022_08_10_10h00.rte')
df311=victorflux('l1_v5_characatito_nogps_2022_08_10_11h00.rte')
df312=victorflux('l1_v5_characatito_nogps_2022_08_10_12h00.rte')
df313=victorflux('l1_v5_characatito_nogps_2022_08_10_13h00.rte')
df314=victorflux('l1_v5_characatito_nogps_2022_08_10_14h00.rte')
df315=victorflux('l1_v5_characatito_nogps_2022_08_10_15h00.rte')
df316=victorflux('l1_v5_characatito_nogps_2022_08_10_16h00.rte')
df317=victorflux('l1_v5_characatito_nogps_2022_08_10_17h00.rte')
df318=victorflux('l1_v5_characatito_nogps_2022_08_10_18h00.rte')
df319=victorflux('l1_v5_characatito_nogps_2022_08_10_19h00.rte')
df320=victorflux('l1_v5_characatito_nogps_2022_08_10_20h00.rte')
df321=victorflux('l1_v5_characatito_nogps_2022_08_10_21h00.rte')
df322=victorflux('l1_v5_characatito_nogps_2022_08_10_22h00.rte')
df323=victorflux('l1_v5_characatito_nogps_2022_08_10_23h00.rte')

df324=victorflux('l1_v5_characatito_nogps_2022_08_11_00h00.rte')
df325=victorflux('l1_v5_characatito_nogps_2022_08_11_01h00.rte')
df326=victorflux('l1_v5_characatito_nogps_2022_08_11_02h00.rte')
df327=victorflux('l1_v5_characatito_nogps_2022_08_11_03h00.rte')
df328=victorflux('l1_v5_characatito_nogps_2022_08_11_04h00.rte')
df329=victorflux('l1_v5_characatito_nogps_2022_08_11_05h00.rte')
df330=victorflux('l1_v5_characatito_nogps_2022_08_11_06h00.rte')
df331=victorflux('l1_v5_characatito_nogps_2022_08_11_07h00.rte')
df332=victorflux('l1_v5_characatito_nogps_2022_08_11_08h00.rte')
df333=victorflux('l1_v5_characatito_nogps_2022_08_11_09h00.rte')
df334=victorflux('l1_v5_characatito_nogps_2022_08_11_21h00.rte')
df335=victorflux('l1_v5_characatito_nogps_2022_08_11_22h00.rte')
df336=victorflux('l1_v5_characatito_nogps_2022_08_11_23h00.rte')

df337=victorflux('l1_v5_characatito_nogps_2022_08_17_15h00.rte')
df338=victorflux('l1_v5_characatito_nogps_2022_08_17_16h00.rte')
df339=victorflux('l1_v5_characatito_nogps_2022_08_17_17h00.rte')
df340=victorflux('l1_v5_characatito_nogps_2022_08_17_18h00.rte')
df341=victorflux('l1_v5_characatito_nogps_2022_08_17_19h00.rte')

df342=victorflux('l1_v5_characatito_nogps_2022_08_18_22h00.rte')
df343=victorflux('l1_v5_characatito_nogps_2022_08_18_23h00.rte')

df344=victorflux('l1_v5_characatito_nogps_2022_08_19_00h00.rte')
df345=victorflux('l1_v5_characatito_nogps_2022_08_19_01h00.rte')
df346=victorflux('l1_v5_characatito_nogps_2022_08_19_02h00.rte')
df347=victorflux('l1_v5_characatito_nogps_2022_08_19_03h00.rte')
df348=victorflux('l1_v5_characatito_nogps_2022_08_19_04h00.rte')
df349=victorflux('l1_v5_characatito_nogps_2022_08_19_05h00.rte')

df350=victorflux('l1_v5_characatito_nogps_2022_08_21_21h00.rte')
df351=victorflux('l1_v5_characatito_nogps_2022_08_21_22h00.rte')
df352=victorflux('l1_v5_characatito_nogps_2022_08_21_23h00.rte')

df353=victorflux('l1_v5_characatito_nogps_2022_08_22_00h00.rte')
df354=victorflux('l1_v5_characatito_nogps_2022_08_22_01h00.rte')
df355=victorflux('l1_v5_characatito_nogps_2022_08_22_02h00.rte')
df356=victorflux('l1_v5_characatito_nogps_2022_08_22_03h00.rte')
df357=victorflux('l1_v5_characatito_nogps_2022_08_22_04h00.rte')
df358=victorflux('l1_v5_characatito_nogps_2022_08_22_05h00.rte')
df359=victorflux('l1_v5_characatito_nogps_2022_08_22_06h00.rte')

df360=victorflux('l1_v5_characatito_nogps_2022_08_23_03h00.rte')
df361=victorflux('l1_v5_characatito_nogps_2022_08_23_04h00.rte')
df362=victorflux('l1_v5_characatito_nogps_2022_08_23_05h00.rte')
df363=victorflux('l1_v5_characatito_nogps_2022_08_23_06h00.rte')
df364=victorflux('l1_v5_characatito_nogps_2022_08_23_07h00.rte')
df365=victorflux('l1_v5_characatito_nogps_2022_08_23_14h00.rte')
df366=victorflux('l1_v5_characatito_nogps_2022_08_23_15h00.rte')
df367=victorflux('l1_v5_characatito_nogps_2022_08_23_21h00.rte')
df368=victorflux('l1_v5_characatito_nogps_2022_08_23_22h00.rte')
df369=victorflux('l1_v5_characatito_nogps_2022_08_23_23h00.rte')

df370=victorflux('l1_v5_characatito_nogps_2022_08_24_00h00.rte')
df371=victorflux('l1_v5_characatito_nogps_2022_08_24_01h00.rte')
df372=victorflux('l1_v5_characatito_nogps_2022_08_24_02h00.rte')
df373=victorflux('l1_v5_characatito_nogps_2022_08_24_03h00.rte')
df374=victorflux('l1_v5_characatito_nogps_2022_08_24_04h00.rte')
df375=victorflux('l1_v5_characatito_nogps_2022_08_24_12h00.rte')
df376=victorflux('l1_v5_characatito_nogps_2022_08_24_13h00.rte')
df377=victorflux('l1_v5_characatito_nogps_2022_08_24_14h00.rte')
df378=victorflux('l1_v5_characatito_nogps_2022_08_24_15h00.rte')
df379=victorflux('l1_v5_characatito_nogps_2022_08_24_16h00.rte')
df380=victorflux('l1_v5_characatito_nogps_2022_08_24_17h00.rte')
df381=victorflux('l1_v5_characatito_nogps_2022_08_24_18h00.rte')
df382=victorflux('l1_v5_characatito_nogps_2022_08_24_19h00.rte')
df383=victorflux('l1_v5_characatito_nogps_2022_08_24_20h00.rte')
df384=victorflux('l1_v5_characatito_nogps_2022_08_24_21h00.rte')
df385=victorflux('l1_v5_characatito_nogps_2022_08_24_22h00.rte')
df386=victorflux('l1_v5_characatito_nogps_2022_08_24_23h00.rte')

df387=victorflux('l1_v5_characatito_nogps_2022_08_25_00h00.rte')
df388=victorflux('l1_v5_characatito_nogps_2022_08_25_01h00.rte')
df389=victorflux('l1_v5_characatito_nogps_2022_08_25_02h00.rte')
df390=victorflux('l1_v5_characatito_nogps_2022_08_25_03h00.rte')
df391=victorflux('l1_v5_characatito_nogps_2022_08_25_04h00.rte')
df392=victorflux('l1_v5_characatito_nogps_2022_08_25_05h00.rte')
df393=victorflux('l1_v5_characatito_nogps_2022_08_25_06h00.rte')
df394=victorflux('l1_v5_characatito_nogps_2022_08_25_07h00.rte')
df395=victorflux('l1_v5_characatito_nogps_2022_08_25_08h00.rte')
df396=victorflux('l1_v5_characatito_nogps_2022_08_25_09h00.rte')
df397=victorflux('l1_v5_characatito_nogps_2022_08_25_10h00.rte')
df398=victorflux('l1_v5_characatito_nogps_2022_08_25_11h00.rte')
df399=victorflux('l1_v5_characatito_nogps_2022_08_25_12h00.rte')
df400=victorflux('l1_v5_characatito_nogps_2022_08_25_13h00.rte')
df401=victorflux('l1_v5_characatito_nogps_2022_08_25_14h00.rte')
df402=victorflux('l1_v5_characatito_nogps_2022_08_25_15h00.rte')
df403=victorflux('l1_v5_characatito_nogps_2022_08_25_16h00.rte')
df404=victorflux('l1_v5_characatito_nogps_2022_08_25_17h00.rte')
df405=victorflux('l1_v5_characatito_nogps_2022_08_25_18h00.rte')
df406=victorflux('l1_v5_characatito_nogps_2022_08_25_19h00.rte')
df407=victorflux('l1_v5_characatito_nogps_2022_08_25_20h00.rte')
df408=victorflux('l1_v5_characatito_nogps_2022_08_25_21h00.rte')
df409=victorflux('l1_v5_characatito_nogps_2022_08_25_22h00.rte')
df410=victorflux('l1_v5_characatito_nogps_2022_08_25_23h00.rte')

df411=victorflux('l1_v5_characatito_nogps_2022_08_26_00h00.rte')
df412=victorflux('l1_v5_characatito_nogps_2022_08_26_01h00.rte')
df413=victorflux('l1_v5_characatito_nogps_2022_08_26_14h00.rte')
df414=victorflux('l1_v5_characatito_nogps_2022_08_26_15h00.rte')
df415=victorflux('l1_v5_characatito_nogps_2022_08_26_16h00.rte')
df416=victorflux('l1_v5_characatito_nogps_2022_08_26_17h00.rte')
df417=victorflux('l1_v5_characatito_nogps_2022_08_26_18h00.rte')
df418=victorflux('l1_v5_characatito_nogps_2022_08_26_19h00.rte')
df419=victorflux('l1_v5_characatito_nogps_2022_08_26_20h00.rte')
df420=victorflux('l1_v5_characatito_nogps_2022_08_26_21h00.rte')
df421=victorflux('l1_v5_characatito_nogps_2022_08_26_22h00.rte')
df422=victorflux('l1_v5_characatito_nogps_2022_08_26_23h00.rte')

df423=victorflux('l1_v5_characatito_nogps_2022_08_27_00h00.rte')
df424=victorflux('l1_v5_characatito_nogps_2022_08_27_01h00.rte')
df425=victorflux('l1_v5_characatito_nogps_2022_08_27_02h00.rte')
df426=victorflux('l1_v5_characatito_nogps_2022_08_27_03h00.rte')
df427=victorflux('l1_v5_characatito_nogps_2022_08_27_04h00.rte')
df428=victorflux('l1_v5_characatito_nogps_2022_08_27_05h00.rte')
df429=victorflux('l1_v5_characatito_nogps_2022_08_27_06h00.rte')
df430=victorflux('l1_v5_characatito_nogps_2022_08_27_07h00.rte')
df431=victorflux('l1_v5_characatito_nogps_2022_08_27_08h00.rte')
df432=victorflux('l1_v5_characatito_nogps_2022_08_27_09h00.rte')
df433=victorflux('l1_v5_characatito_nogps_2022_08_27_10h00.rte')
df434=victorflux('l1_v5_characatito_nogps_2022_08_27_11h00.rte')
df435=victorflux('l1_v5_characatito_nogps_2022_08_27_12h00.rte')
df436=victorflux('l1_v5_characatito_nogps_2022_08_27_13h00.rte')
df437=victorflux('l1_v5_characatito_nogps_2022_08_27_14h00.rte')
df438=victorflux('l1_v5_characatito_nogps_2022_08_27_15h00.rte')
df439=victorflux('l1_v5_characatito_nogps_2022_08_27_16h00.rte')
df440=victorflux('l1_v5_characatito_nogps_2022_08_27_17h00.rte')
df441=victorflux('l1_v5_characatito_nogps_2022_08_27_18h00.rte')
df442=victorflux('l1_v5_characatito_nogps_2022_08_27_19h00.rte')
df443=victorflux('l1_v5_characatito_nogps_2022_08_27_20h00.rte')
df444=victorflux('l1_v5_characatito_nogps_2022_08_27_21h00.rte')
df445=victorflux('l1_v5_characatito_nogps_2022_08_27_22h00.rte')
df446=victorflux('l1_v5_characatito_nogps_2022_08_27_23h00.rte')

df447=victorflux('l1_v5_characatito_nogps_2022_08_28_00h00.rte')
df448=victorflux('l1_v5_characatito_nogps_2022_08_28_01h00.rte')
df449=victorflux('l1_v5_characatito_nogps_2022_08_28_02h00.rte')
df450=victorflux('l1_v5_characatito_nogps_2022_08_28_03h00.rte')
df451=victorflux('l1_v5_characatito_nogps_2022_08_28_04h00.rte')
df452=victorflux('l1_v5_characatito_nogps_2022_08_28_05h00.rte')
df453=victorflux('l1_v5_characatito_nogps_2022_08_28_06h00.rte')
df454=victorflux('l1_v5_characatito_nogps_2022_08_28_07h00.rte')
df455=victorflux('l1_v5_characatito_nogps_2022_08_28_08h00.rte')
df456=victorflux('l1_v5_characatito_nogps_2022_08_28_09h00.rte')
df457=victorflux('l1_v5_characatito_nogps_2022_08_28_10h00.rte')

df458=victorflux('l1_v5_characatito_nogps_2022_08_30_03h00.rte')
df459=victorflux('l1_v5_characatito_nogps_2022_08_30_04h00.rte')
df460=victorflux('l1_v5_characatito_nogps_2022_08_30_05h00.rte')
df461=victorflux('l1_v5_characatito_nogps_2022_08_30_06h00.rte')
df462=victorflux('l1_v5_characatito_nogps_2022_08_30_07h00.rte')
df463=victorflux('l1_v5_characatito_nogps_2022_08_30_08h00.rte')
df464=victorflux('l1_v5_characatito_nogps_2022_08_30_19h00.rte')
df465=victorflux('l1_v5_characatito_nogps_2022_08_30_20h00.rte')

######--------------------------------- Septiembre-----------------

df466=victorflux('l1_v5_characatito_nogps_2022_09_01_03h00.rte')
df467=victorflux('l1_v5_characatito_nogps_2022_09_01_04h00.rte')
df468=victorflux('l1_v5_characatito_nogps_2022_09_01_05h00.rte')
df469=victorflux('l1_v5_characatito_nogps_2022_09_01_06h00.rte')
df470=victorflux('l1_v5_characatito_nogps_2022_09_01_07h00.rte')
df471=victorflux('l1_v5_characatito_nogps_2022_09_01_08h00.rte')
df472=victorflux('l1_v5_characatito_nogps_2022_09_01_09h00.rte')
df473=victorflux('l1_v5_characatito_nogps_2022_09_01_15h00.rte')
df474=victorflux('l1_v5_characatito_nogps_2022_09_01_16h00.rte')
df475=victorflux('l1_v5_characatito_nogps_2022_09_01_17h00.rte')
df476=victorflux('l1_v5_characatito_nogps_2022_09_01_18h00.rte')
df477=victorflux('l1_v5_characatito_nogps_2022_09_01_23h00.rte')

df478=victorflux('l1_v5_characatito_nogps_2022_09_02_00h00.rte')
df479=victorflux('l1_v5_characatito_nogps_2022_09_02_01h00.rte')
df480=victorflux('l1_v5_characatito_nogps_2022_09_02_02h00.rte')
df481=victorflux('l1_v5_characatito_nogps_2022_09_02_03h00.rte')
df482=victorflux('l1_v5_characatito_nogps_2022_09_02_04h00.rte')
df483=victorflux('l1_v5_characatito_nogps_2022_09_02_05h00.rte')
df484=victorflux('l1_v5_characatito_nogps_2022_09_02_06h00.rte')
df485=victorflux('l1_v5_characatito_nogps_2022_09_02_07h00.rte')
df486=victorflux('l1_v5_characatito_nogps_2022_09_02_08h00.rte')
df487=victorflux('l1_v5_characatito_nogps_2022_09_02_09h00.rte')
df488=victorflux('l1_v5_characatito_nogps_2022_09_02_10h00.rte')
df489=victorflux('l1_v5_characatito_nogps_2022_09_02_11h00.rte')

df490=victorflux('l1_v5_characatito_nogps_2022_09_05_00h00.rte')
df491=victorflux('l1_v5_characatito_nogps_2022_09_05_01h00.rte')
df492=victorflux('l1_v5_characatito_nogps_2022_09_05_02h00.rte')
df493=victorflux('l1_v5_characatito_nogps_2022_09_05_03h00.rte')
df494=victorflux('l1_v5_characatito_nogps_2022_09_05_04h00.rte')
df495=victorflux('l1_v5_characatito_nogps_2022_09_05_05h00.rte')
df496=victorflux('l1_v5_characatito_nogps_2022_09_05_06h00.rte')
df497=victorflux('l1_v5_characatito_nogps_2022_09_05_07h00.rte')
df498=victorflux('l1_v5_characatito_nogps_2022_09_05_08h00.rte')
df499=victorflux('l1_v5_characatito_nogps_2022_09_05_09h00.rte')
df500=victorflux('l1_v5_characatito_nogps_2022_09_05_10h00.rte')
df501=victorflux('l1_v5_characatito_nogps_2022_09_05_11h00.rte')
df502=victorflux('l1_v5_characatito_nogps_2022_09_05_12h00.rte')
df503=victorflux('l1_v5_characatito_nogps_2022_09_05_13h00.rte')
df504=victorflux('l1_v5_characatito_nogps_2022_09_05_14h00.rte')
df505=victorflux('l1_v5_characatito_nogps_2022_09_05_15h00.rte')
df506=victorflux('l1_v5_characatito_nogps_2022_09_05_16h00.rte')
df507=victorflux('l1_v5_characatito_nogps_2022_09_05_17h00.rte')
df508=victorflux('l1_v5_characatito_nogps_2022_09_05_18h00.rte')
df509=victorflux('l1_v5_characatito_nogps_2022_09_05_19h00.rte')
df510=victorflux('l1_v5_characatito_nogps_2022_09_05_20h00.rte')
df511=victorflux('l1_v5_characatito_nogps_2022_09_05_21h00.rte')
df512=victorflux('l1_v5_characatito_nogps_2022_09_05_22h00.rte')
df513=victorflux('l1_v5_characatito_nogps_2022_09_05_23h00.rte')

df514=victorflux('l1_v5_characatito_nogps_2022_09_06_00h00.rte')
df515=victorflux('l1_v5_characatito_nogps_2022_09_06_01h00.rte')
df516=victorflux('l1_v5_characatito_nogps_2022_09_06_02h00.rte')
#df517=victorflux('l1_v5_characatito_nogps_2022_09_06_03h00.rte')
df518=victorflux('l1_v5_characatito_nogps_2022_09_06_04h00.rte')
df519=victorflux('l1_v5_characatito_nogps_2022_09_06_05h00.rte')
df520=victorflux('l1_v5_characatito_nogps_2022_09_06_06h00.rte')
df521=victorflux('l1_v5_characatito_nogps_2022_09_06_07h00.rte')
df522=victorflux('l1_v5_characatito_nogps_2022_09_06_08h00.rte')
df523=victorflux('l1_v5_characatito_nogps_2022_09_06_09h00.rte')
df524=victorflux('l1_v5_characatito_nogps_2022_09_06_10h00.rte')
df525=victorflux('l1_v5_characatito_nogps_2022_09_06_11h00.rte')
df526=victorflux('l1_v5_characatito_nogps_2022_09_06_12h00.rte')
df527=victorflux('l1_v5_characatito_nogps_2022_09_06_13h00.rte')
df528=victorflux('l1_v5_characatito_nogps_2022_09_06_14h00.rte')
df529=victorflux('l1_v5_characatito_nogps_2022_09_06_15h00.rte')
df530=victorflux('l1_v5_characatito_nogps_2022_09_06_16h00.rte')
df531=victorflux('l1_v5_characatito_nogps_2022_09_06_17h00.rte')
df532=victorflux('l1_v5_characatito_nogps_2022_09_06_18h00.rte')
df533=victorflux('l1_v5_characatito_nogps_2022_09_06_19h00.rte')
df534=victorflux('l1_v5_characatito_nogps_2022_09_06_20h00.rte')
df535=victorflux('l1_v5_characatito_nogps_2022_09_06_21h00.rte')
df536=victorflux('l1_v5_characatito_nogps_2022_09_06_22h00.rte')
df537=victorflux('l1_v5_characatito_nogps_2022_09_06_23h00.rte')

df538=victorflux('l1_v5_characatito_nogps_2022_09_07_00h00.rte')
df539=victorflux('l1_v5_characatito_nogps_2022_09_07_01h00.rte')
df540=victorflux('l1_v5_characatito_nogps_2022_09_07_02h00.rte')
df541=victorflux('l1_v5_characatito_nogps_2022_09_07_03h00.rte')
df542=victorflux('l1_v5_characatito_nogps_2022_09_07_04h00.rte')
df543=victorflux('l1_v5_characatito_nogps_2022_09_07_05h00.rte')
df544=victorflux('l1_v5_characatito_nogps_2022_09_07_06h00.rte')
df545=victorflux('l1_v5_characatito_nogps_2022_09_07_07h00.rte')
df546=victorflux('l1_v5_characatito_nogps_2022_09_07_08h00.rte')
df547=victorflux('l1_v5_characatito_nogps_2022_09_07_09h00.rte')
df548=victorflux('l1_v5_characatito_nogps_2022_09_07_10h00.rte')
df549=victorflux('l1_v5_characatito_nogps_2022_09_07_11h00.rte')
df550=victorflux('l1_v5_characatito_nogps_2022_09_07_12h00.rte')
df551=victorflux('l1_v5_characatito_nogps_2022_09_07_13h00.rte')
df552=victorflux('l1_v5_characatito_nogps_2022_09_07_14h00.rte')
df553=victorflux('l1_v5_characatito_nogps_2022_09_07_15h00.rte')
df554=victorflux('l1_v5_characatito_nogps_2022_09_07_16h00.rte')
df555=victorflux('l1_v5_characatito_nogps_2022_09_07_17h00.rte')
df556=victorflux('l1_v5_characatito_nogps_2022_09_07_18h00.rte')
df557=victorflux('l1_v5_characatito_nogps_2022_09_07_19h00.rte')
df558=victorflux('l1_v5_characatito_nogps_2022_09_07_20h00.rte')
df559=victorflux('l1_v5_characatito_nogps_2022_09_07_21h00.rte')
df560=victorflux('l1_v5_characatito_nogps_2022_09_07_22h00.rte')
df561=victorflux('l1_v5_characatito_nogps_2022_09_07_23h00.rte')

df562=victorflux('l1_v5_characatito_nogps_2022_09_08_00h00.rte')
df563=victorflux('l1_v5_characatito_nogps_2022_09_08_01h00.rte')
df564=victorflux('l1_v5_characatito_nogps_2022_09_08_02h00.rte')
df565=victorflux('l1_v5_characatito_nogps_2022_09_08_03h00.rte')
df566=victorflux('l1_v5_characatito_nogps_2022_09_08_04h00.rte')
df567=victorflux('l1_v5_characatito_nogps_2022_09_08_05h00.rte')
df568=victorflux('l1_v5_characatito_nogps_2022_09_08_06h00.rte')
df569=victorflux('l1_v5_characatito_nogps_2022_09_08_07h00.rte')
df570=victorflux('l1_v5_characatito_nogps_2022_09_08_08h00.rte')
df571=victorflux('l1_v5_characatito_nogps_2022_09_08_09h00.rte')
df572=victorflux('l1_v5_characatito_nogps_2022_09_08_10h00.rte')
df573=victorflux('l1_v5_characatito_nogps_2022_09_08_11h00.rte')
df574=victorflux('l1_v5_characatito_nogps_2022_09_08_12h00.rte')
df575=victorflux('l1_v5_characatito_nogps_2022_09_08_13h00.rte')
df576=victorflux('l1_v5_characatito_nogps_2022_09_08_14h00.rte')
df577=victorflux('l1_v5_characatito_nogps_2022_09_08_15h00.rte')
df578=victorflux('l1_v5_characatito_nogps_2022_09_08_16h00.rte')
df579=victorflux('l1_v5_characatito_nogps_2022_09_08_17h00.rte')
df580=victorflux('l1_v5_characatito_nogps_2022_09_08_18h00.rte')
df581=victorflux('l1_v5_characatito_nogps_2022_09_08_19h00.rte')
df582=victorflux('l1_v5_characatito_nogps_2022_09_08_20h00.rte')
df583=victorflux('l1_v5_characatito_nogps_2022_09_08_21h00.rte')
df584=victorflux('l1_v5_characatito_nogps_2022_09_08_22h00.rte')
df585=victorflux('l1_v5_characatito_nogps_2022_09_08_23h00.rte')

df586=victorflux('l1_v5_characatito_nogps_2022_09_09_00h00.rte')
df587=victorflux('l1_v5_characatito_nogps_2022_09_09_01h00.rte')
df588=victorflux('l1_v5_characatito_nogps_2022_09_09_02h00.rte')
df589=victorflux('l1_v5_characatito_nogps_2022_09_09_03h00.rte')
df590=victorflux('l1_v5_characatito_nogps_2022_09_09_04h00.rte')
df591=victorflux('l1_v5_characatito_nogps_2022_09_09_05h00.rte')
df592=victorflux('l1_v5_characatito_nogps_2022_09_09_06h00.rte')

df593=victorflux('l1_v5_characatito_nogps_2022_09_12_04h00.rte')
df594=victorflux('l1_v5_characatito_nogps_2022_09_12_05h00.rte')
df595=victorflux('l1_v5_characatito_nogps_2022_09_12_06h00.rte')
df596=victorflux('l1_v5_characatito_nogps_2022_09_12_07h00.rte')
#df597=victorflux('l1_v5_characatito_nogps_2022_09_12_08h00.rte')

df598=victorflux('l1_v5_characatito_nogps_2022_09_13_02h00.rte')
df599=victorflux('l1_v5_characatito_nogps_2022_09_13_03h00.rte')
df600=victorflux('l1_v5_characatito_nogps_2022_09_13_04h00.rte')
df601=victorflux('l1_v5_characatito_nogps_2022_09_13_05h00.rte')
df602=victorflux('l1_v5_characatito_nogps_2022_09_13_06h00.rte')
df603=victorflux('l1_v5_characatito_nogps_2022_09_13_07h00.rte')

df604=victorflux('l1_v5_characatito_nogps_2022_09_14_02h00.rte')
df605=victorflux('l1_v5_characatito_nogps_2022_09_14_03h00.rte')
df606=victorflux('l1_v5_characatito_nogps_2022_09_14_04h00.rte')
df607=victorflux('l1_v5_characatito_nogps_2022_09_14_12h00.rte')
df608=victorflux('l1_v5_characatito_nogps_2022_09_14_13h00.rte')
df609=victorflux('l1_v5_characatito_nogps_2022_09_14_14h00.rte')
df610=victorflux('l1_v5_characatito_nogps_2022_09_14_15h00.rte')
df611=victorflux('l1_v5_characatito_nogps_2022_09_14_16h00.rte')
df612=victorflux('l1_v5_characatito_nogps_2022_09_14_17h00.rte')
df613=victorflux('l1_v5_characatito_nogps_2022_09_14_18h00.rte')
df614=victorflux('l1_v5_characatito_nogps_2022_09_14_19h00.rte')
df615=victorflux('l1_v5_characatito_nogps_2022_09_14_20h00.rte')
df616=victorflux('l1_v5_characatito_nogps_2022_09_14_21h00.rte')

df617=victorflux('l1_v5_characatito_nogps_2022_09_15_16h00.rte')
df618=victorflux('l1_v5_characatito_nogps_2022_09_15_17h00.rte')
df619=victorflux('l1_v5_characatito_nogps_2022_09_15_18h00.rte')
df620=victorflux('l1_v5_characatito_nogps_2022_09_15_19h00.rte')
df621=victorflux('l1_v5_characatito_nogps_2022_09_15_20h00.rte')
df622=victorflux('l1_v5_characatito_nogps_2022_09_15_21h00.rte')
df623=victorflux('l1_v5_characatito_nogps_2022_09_15_22h00.rte')
df624=victorflux('l1_v5_characatito_nogps_2022_09_15_23h00.rte')

df625=victorflux('l1_v5_characatito_nogps_2022_09_16_00h00.rte')
df626=victorflux('l1_v5_characatito_nogps_2022_09_16_14h00.rte')
df627=victorflux('l1_v5_characatito_nogps_2022_09_16_15h00.rte')

df628=victorflux('l1_v5_characatito_nogps_2022_09_19_02h00.rte')
df629=victorflux('l1_v5_characatito_nogps_2022_09_19_03h00.rte')
df630=victorflux('l1_v5_characatito_nogps_2022_09_19_04h00.rte')
df631=victorflux('l1_v5_characatito_nogps_2022_09_19_05h00.rte')
df632=victorflux('l1_v5_characatito_nogps_2022_09_19_06h00.rte')
df633=victorflux('l1_v5_characatito_nogps_2022_09_19_07h00.rte')
df634=victorflux('l1_v5_characatito_nogps_2022_09_19_08h00.rte')
df635=victorflux('l1_v5_characatito_nogps_2022_09_19_09h00.rte')
df636=victorflux('l1_v5_characatito_nogps_2022_09_19_10h00.rte')
df637=victorflux('l1_v5_characatito_nogps_2022_09_19_11h00.rte')
df638=victorflux('l1_v5_characatito_nogps_2022_09_19_12h00.rte')
df639=victorflux('l1_v5_characatito_nogps_2022_09_19_13h00.rte')
#df640=victorflux('l1_v5_characatito_nogps_2022_09_19_14h00.rte')
df641=victorflux('l1_v5_characatito_nogps_2022_09_19_15h00.rte')
df642=victorflux('l1_v5_characatito_nogps_2022_09_19_16h00.rte')
df643=victorflux('l1_v5_characatito_nogps_2022_09_19_17h00.rte')
df644=victorflux('l1_v5_characatito_nogps_2022_09_19_18h00.rte')
df645=victorflux('l1_v5_characatito_nogps_2022_09_19_19h00.rte')
df646=victorflux('l1_v5_characatito_nogps_2022_09_19_20h00.rte')
df647=victorflux('l1_v5_characatito_nogps_2022_09_19_21h00.rte')
df648=victorflux('l1_v5_characatito_nogps_2022_09_19_22h00.rte')
df649=victorflux('l1_v5_characatito_nogps_2022_09_19_23h00.rte')

df650=victorflux('l1_v5_characatito_nogps_2022_09_20_00h00.rte')
df651=victorflux('l1_v5_characatito_nogps_2022_09_20_01h00.rte')
df652=victorflux('l1_v5_characatito_nogps_2022_09_20_02h00.rte')
df653=victorflux('l1_v5_characatito_nogps_2022_09_20_03h00.rte')
df654=victorflux('l1_v5_characatito_nogps_2022_09_20_04h00.rte')
df655=victorflux('l1_v5_characatito_nogps_2022_09_20_05h00.rte')
df656=victorflux('l1_v5_characatito_nogps_2022_09_20_06h00.rte')
df657=victorflux('l1_v5_characatito_nogps_2022_09_20_07h00.rte')
df658=victorflux('l1_v5_characatito_nogps_2022_09_20_08h00.rte')
df659=victorflux('l1_v5_characatito_nogps_2022_09_20_09h00.rte')
df660=victorflux('l1_v5_characatito_nogps_2022_09_20_10h00.rte')
df661=victorflux('l1_v5_characatito_nogps_2022_09_20_11h00.rte')
df662=victorflux('l1_v5_characatito_nogps_2022_09_20_12h00.rte')
df663=victorflux('l1_v5_characatito_nogps_2022_09_20_13h00.rte')
df664=victorflux('l1_v5_characatito_nogps_2022_09_20_14h00.rte')
df665=victorflux('l1_v5_characatito_nogps_2022_09_20_15h00.rte')
df666=victorflux('l1_v5_characatito_nogps_2022_09_20_16h00.rte')
df667=victorflux('l1_v5_characatito_nogps_2022_09_20_17h00.rte')
df668=victorflux('l1_v5_characatito_nogps_2022_09_20_18h00.rte')
df669=victorflux('l1_v5_characatito_nogps_2022_09_20_19h00.rte')
df670=victorflux('l1_v5_characatito_nogps_2022_09_20_20h00.rte')
df671=victorflux('l1_v5_characatito_nogps_2022_09_20_21h00.rte')
df672=victorflux('l1_v5_characatito_nogps_2022_09_20_22h00.rte')
df673=victorflux('l1_v5_characatito_nogps_2022_09_20_23h00.rte')

df674=victorflux('l1_v5_characatito_nogps_2022_09_21_00h00.rte')
df675=victorflux('l1_v5_characatito_nogps_2022_09_21_01h00.rte')
df676=victorflux('l1_v5_characatito_nogps_2022_09_21_02h00.rte')
df677=victorflux('l1_v5_characatito_nogps_2022_09_21_03h00.rte')
df678=victorflux('l1_v5_characatito_nogps_2022_09_21_04h00.rte')
df679=victorflux('l1_v5_characatito_nogps_2022_09_21_05h00.rte')
df680=victorflux('l1_v5_characatito_nogps_2022_09_21_06h00.rte')
df681=victorflux('l1_v5_characatito_nogps_2022_09_21_07h00.rte')
df682=victorflux('l1_v5_characatito_nogps_2022_09_21_08h00.rte')
df683=victorflux('l1_v5_characatito_nogps_2022_09_21_09h00.rte')
df684=victorflux('l1_v5_characatito_nogps_2022_09_21_10h00.rte')
df685=victorflux('l1_v5_characatito_nogps_2022_09_21_11h00.rte')
df686=victorflux('l1_v5_characatito_nogps_2022_09_21_12h00.rte')
df687=victorflux('l1_v5_characatito_nogps_2022_09_21_13h00.rte')
df688=victorflux('l1_v5_characatito_nogps_2022_09_21_14h00.rte')
df689=victorflux('l1_v5_characatito_nogps_2022_09_21_15h00.rte')
df690=victorflux('l1_v5_characatito_nogps_2022_09_21_16h00.rte')
df691=victorflux('l1_v5_characatito_nogps_2022_09_21_17h00.rte')
df692=victorflux('l1_v5_characatito_nogps_2022_09_21_18h00.rte')
df693=victorflux('l1_v5_characatito_nogps_2022_09_21_19h00.rte')
df694=victorflux('l1_v5_characatito_nogps_2022_09_21_20h00.rte')
df695=victorflux('l1_v5_characatito_nogps_2022_09_21_21h00.rte')
df696=victorflux('l1_v5_characatito_nogps_2022_09_21_22h00.rte')
df697=victorflux('l1_v5_characatito_nogps_2022_09_21_23h00.rte')

df698=victorflux('l1_v5_characatito_nogps_2022_09_22_00h00.rte')
df699=victorflux('l1_v5_characatito_nogps_2022_09_22_01h00.rte')
df700=victorflux('l1_v5_characatito_nogps_2022_09_22_02h00.rte')
df701=victorflux('l1_v5_characatito_nogps_2022_09_22_03h00.rte')
df702=victorflux('l1_v5_characatito_nogps_2022_09_22_04h00.rte')
df703=victorflux('l1_v5_characatito_nogps_2022_09_22_05h00.rte')
df704=victorflux('l1_v5_characatito_nogps_2022_09_22_06h00.rte')
df705=victorflux('l1_v5_characatito_nogps_2022_09_22_07h00.rte')
df706=victorflux('l1_v5_characatito_nogps_2022_09_22_08h00.rte')
df707=victorflux('l1_v5_characatito_nogps_2022_09_22_09h00.rte')
df708=victorflux('l1_v5_characatito_nogps_2022_09_22_10h00.rte')
df709=victorflux('l1_v5_characatito_nogps_2022_09_22_11h00.rte')
df710=victorflux('l1_v5_characatito_nogps_2022_09_22_12h00.rte')
df711=victorflux('l1_v5_characatito_nogps_2022_09_22_13h00.rte')
df712=victorflux('l1_v5_characatito_nogps_2022_09_22_14h00.rte')
df713=victorflux('l1_v5_characatito_nogps_2022_09_22_15h00.rte')
df714=victorflux('l1_v5_characatito_nogps_2022_09_22_16h00.rte')

#df715=victorflux('l1_v5_characatito_nogps_2022_09_23_15h00.rte')
df716=victorflux('l1_v5_characatito_nogps_2022_09_23_17h00.rte')
df717=victorflux('l1_v5_characatito_nogps_2022_09_23_18h00.rte')
df718=victorflux('l1_v5_characatito_nogps_2022_09_23_19h00.rte')
df719=victorflux('l1_v5_characatito_nogps_2022_09_23_20h00.rte')
df720=victorflux('l1_v5_characatito_nogps_2022_09_23_21h00.rte')
df721=victorflux('l1_v5_characatito_nogps_2022_09_23_22h00.rte')
df722=victorflux('l1_v5_characatito_nogps_2022_09_23_23h00.rte')

df723=victorflux('l1_v5_characatito_nogps_2022_09_24_00h00.rte')
df724=victorflux('l1_v5_characatito_nogps_2022_09_24_01h00.rte')
df725=victorflux('l1_v5_characatito_nogps_2022_09_24_02h00.rte')
df726=victorflux('l1_v5_characatito_nogps_2022_09_24_03h00.rte')
df727=victorflux('l1_v5_characatito_nogps_2022_09_24_04h00.rte')
df728=victorflux('l1_v5_characatito_nogps_2022_09_24_05h00.rte')
df729=victorflux('l1_v5_characatito_nogps_2022_09_24_06h00.rte')
df730=victorflux('l1_v5_characatito_nogps_2022_09_24_07h00.rte')
df731=victorflux('l1_v5_characatito_nogps_2022_09_24_08h00.rte')
df732=victorflux('l1_v5_characatito_nogps_2022_09_24_09h00.rte')
df733=victorflux('l1_v5_characatito_nogps_2022_09_24_10h00.rte')
df734=victorflux('l1_v5_characatito_nogps_2022_09_24_11h00.rte')
df735=victorflux('l1_v5_characatito_nogps_2022_09_24_12h00.rte')
df736=victorflux('l1_v5_characatito_nogps_2022_09_24_13h00.rte')
df737=victorflux('l1_v5_characatito_nogps_2022_09_24_14h00.rte')
df738=victorflux('l1_v5_characatito_nogps_2022_09_24_15h00.rte')

df739=victorflux('l1_v5_characatito_nogps_2022_09_28_03h00.rte')
df740=victorflux('l1_v5_characatito_nogps_2022_09_28_04h00.rte')
df741=victorflux('l1_v5_characatito_nogps_2022_09_28_05h00.rte')
df742=victorflux('l1_v5_characatito_nogps_2022_09_28_06h00.rte')
df743=victorflux('l1_v5_characatito_nogps_2022_09_28_07h00.rte')
df744=victorflux('l1_v5_characatito_nogps_2022_09_28_08h00.rte')
df745=victorflux('l1_v5_characatito_nogps_2022_09_28_09h00.rte')
df746=victorflux('l1_v5_characatito_nogps_2022_09_28_10h00.rte')
df747=victorflux('l1_v5_characatito_nogps_2022_09_28_11h00.rte')
df748=victorflux('l1_v5_characatito_nogps_2022_09_28_12h00.rte')
df749=victorflux('l1_v5_characatito_nogps_2022_09_28_13h00.rte')
df750=victorflux('l1_v5_characatito_nogps_2022_09_28_14h00.rte')
df751=victorflux('l1_v5_characatito_nogps_2022_09_28_15h00.rte')
df752=victorflux('l1_v5_characatito_nogps_2022_09_28_16h00.rte')
df753=victorflux('l1_v5_characatito_nogps_2022_09_28_17h00.rte')

df754=victorflux('l1_v5_characatito_nogps_2022_09_30_00h00.rte')
df755=victorflux('l1_v5_characatito_nogps_2022_09_30_01h00.rte')
df756=victorflux('l1_v5_characatito_nogps_2022_09_30_02h00.rte')
df757=victorflux('l1_v5_characatito_nogps_2022_09_30_03h00.rte')
df758=victorflux('l1_v5_characatito_nogps_2022_09_30_04h00.rte')
df759=victorflux('l1_v5_characatito_nogps_2022_09_30_05h00.rte')
df760=victorflux('l1_v5_characatito_nogps_2022_09_30_06h00.rte')
df761=victorflux('l1_v5_characatito_nogps_2022_09_30_07h00.rte')
df762=victorflux('l1_v5_characatito_nogps_2022_09_30_08h00.rte')

######--------------------------------- Octubre-----------------

df763=victorflux('l1_v5_characatito_nogps_2022_10_02_02h00.rte')
df764=victorflux('l1_v5_characatito_nogps_2022_10_02_03h00.rte')
df765=victorflux('l1_v5_characatito_nogps_2022_10_02_04h00.rte')
df766=victorflux('l1_v5_characatito_nogps_2022_10_02_05h00.rte')
df767=victorflux('l1_v5_characatito_nogps_2022_10_02_06h00.rte')
df768=victorflux('l1_v5_characatito_nogps_2022_10_02_07h00.rte')
df769=victorflux('l1_v5_characatito_nogps_2022_10_02_08h00.rte')
df770=victorflux('l1_v5_characatito_nogps_2022_10_02_09h00.rte')
df771=victorflux('l1_v5_characatito_nogps_2022_10_02_10h00.rte')
df772=victorflux('l1_v5_characatito_nogps_2022_10_02_11h00.rte')
df773=victorflux('l1_v5_characatito_nogps_2022_10_02_20h00.rte')
df774=victorflux('l1_v5_characatito_nogps_2022_10_02_21h00.rte')
df775=victorflux('l1_v5_characatito_nogps_2022_10_02_22h00.rte')

df776=victorflux('l1_v5_characatito_nogps_2022_10_03_04h00.rte')
df777=victorflux('l1_v5_characatito_nogps_2022_10_03_05h00.rte')

df778=victorflux('l1_v5_characatito_nogps_2022_10_04_00h00.rte')
df779=victorflux('l1_v5_characatito_nogps_2022_10_04_01h00.rte')
df780=victorflux('l1_v5_characatito_nogps_2022_10_04_02h00.rte')
df781=victorflux('l1_v5_characatito_nogps_2022_10_04_03h00.rte')
df782=victorflux('l1_v5_characatito_nogps_2022_10_04_04h00.rte')
df783=victorflux('l1_v5_characatito_nogps_2022_10_04_05h00.rte')
df784=victorflux('l1_v5_characatito_nogps_2022_10_04_06h00.rte')
df785=victorflux('l1_v5_characatito_nogps_2022_10_04_07h00.rte')
df786=victorflux('l1_v5_characatito_nogps_2022_10_04_08h00.rte')
df787=victorflux('l1_v5_characatito_nogps_2022_10_04_09h00.rte')
df788=victorflux('l1_v5_characatito_nogps_2022_10_04_10h00.rte')
df789=victorflux('l1_v5_characatito_nogps_2022_10_04_11h00.rte')
df790=victorflux('l1_v5_characatito_nogps_2022_10_04_12h00.rte')
df791=victorflux('l1_v5_characatito_nogps_2022_10_04_13h00.rte')
df792=victorflux('l1_v5_characatito_nogps_2022_10_04_14h00.rte')
df793=victorflux('l1_v5_characatito_nogps_2022_10_04_15h00.rte')
df794=victorflux('l1_v5_characatito_nogps_2022_10_04_16h00.rte')
df795=victorflux('l1_v5_characatito_nogps_2022_10_04_17h00.rte')
df796=victorflux('l1_v5_characatito_nogps_2022_10_04_18h00.rte')
df797=victorflux('l1_v5_characatito_nogps_2022_10_04_19h00.rte')
df798=victorflux('l1_v5_characatito_nogps_2022_10_04_20h00.rte')
df799=victorflux('l1_v5_characatito_nogps_2022_10_04_21h00.rte')
df800=victorflux('l1_v5_characatito_nogps_2022_10_04_22h00.rte')
df801=victorflux('l1_v5_characatito_nogps_2022_10_04_23h00.rte')

df802=victorflux('l1_v5_characatito_nogps_2022_10_05_00h00.rte')
df803=victorflux('l1_v5_characatito_nogps_2022_10_05_01h00.rte')
df804=victorflux('l1_v5_characatito_nogps_2022_10_05_02h00.rte')
df805=victorflux('l1_v5_characatito_nogps_2022_10_05_03h00.rte')
df806=victorflux('l1_v5_characatito_nogps_2022_10_05_04h00.rte')
df807=victorflux('l1_v5_characatito_nogps_2022_10_05_05h00.rte')
df808=victorflux('l1_v5_characatito_nogps_2022_10_05_06h00.rte')
df809=victorflux('l1_v5_characatito_nogps_2022_10_05_17h00.rte')
df810=victorflux('l1_v5_characatito_nogps_2022_10_05_18h00.rte')
df811=victorflux('l1_v5_characatito_nogps_2022_10_05_19h00.rte')
df812=victorflux('l1_v5_characatito_nogps_2022_10_05_20h00.rte')
df813=victorflux('l1_v5_characatito_nogps_2022_10_05_21h00.rte')
df814=victorflux('l1_v5_characatito_nogps_2022_10_05_22h00.rte')
df815=victorflux('l1_v5_characatito_nogps_2022_10_05_23h00.rte')

df816=victorflux('l1_v5_characatito_nogps_2022_10_05_00h00.rte')
df817=victorflux('l1_v5_characatito_nogps_2022_10_05_01h00.rte')
df818=victorflux('l1_v5_characatito_nogps_2022_10_05_02h00.rte')
df819=victorflux('l1_v5_characatito_nogps_2022_10_05_03h00.rte')
df820=victorflux('l1_v5_characatito_nogps_2022_10_05_04h00.rte')
df821=victorflux('l1_v5_characatito_nogps_2022_10_05_05h00.rte')
df822=victorflux('l1_v5_characatito_nogps_2022_10_05_06h00.rte')
df833=victorflux('l1_v5_characatito_nogps_2022_10_05_17h00.rte')
df834=victorflux('l1_v5_characatito_nogps_2022_10_05_18h00.rte')
df835=victorflux('l1_v5_characatito_nogps_2022_10_05_19h00.rte')
df836=victorflux('l1_v5_characatito_nogps_2022_10_05_20h00.rte')
df837=victorflux('l1_v5_characatito_nogps_2022_10_05_21h00.rte')
df838=victorflux('l1_v5_characatito_nogps_2022_10_05_22h00.rte')
df839=victorflux('l1_v5_characatito_nogps_2022_10_05_23h00.rte')

df840=victorflux('l1_v5_characatito_nogps_2022_10_07_00h00.rte')

flujo = [df1,df2,df3,df4,df5,df6,df7,df8,df9,df10,
         df11,df12,df13,df14,df15,df16,df17,df18,df19,df20,
         df21,df22,df23,df24,df25,df26,df27,df28,df29,df30,
         df31,df32,df33,df34,df35,df36,df37,df38,df39,df40,
         df41,df42,df43,df44,df45,df46,df47,df48,df49,df50,
         df51,df52,df53,df54,df55,df56,df57,df58,df59,df60,
         df61,df62,df63,df64,df65,df66,df67,df68,df69,df70,
         df71,df72,df73,df74,df75,df76,df77,df78,df79,df80,
         df81,df82,df83,df84,df85,df86,df87,df88,df89,df90,
         df91,df92,df93,df94,df95,df96,df97,df99,df100,
         df101,df102,df103,df104,df105,df106,df107,df108,df109,
         df110,df111,df112,df113,df114,df115,df116,df117,df118,df119,
         df120,df121,df122,df123,df124,df125,df126,df127,df128,df129,
         df130,df131,df132,df133,df134,df135,df136,df137,df138,df139,
         df140,df141,df142,df143,df144,df145,df146,df147,df148,df149,
         df150,df151,df152,df154,df155,df156,df157,df158,df159,df160,
         df161,df162,df163,df164,df165,df167,df168,df169,df170,df171,
         df172,df173,df174,df175,df176,df177,df178,df179,df180,
         df181,df182,df183,df184,df185,df186,df187,df188,df189,df190,
         df191,df192,df193,df194,df195,df196,df197,df198,df199,df200,
         df201,df202,df203,df204,df205,df206,df207,df208,df209,df210,
         df211,df212,df213,df214,df215,df216,df217,df218,df219,df220,
         df224,df225,df226,df227,df228,df229,df230,df231,df232,df233,
         df234,df235,df236,df237,df238,df239,df240,df241,df242,df243,
         df244,df245,df246,df247,df248,df249,df250,df251,df252,df253,
         df254,df255,df256,df257,df258,df259,df260,df261,df262,df263,
         df264,df265,df266,df267,df268,df269,df270,df271,df272,df273,
         df274,df275,df276,df277,df278,df279,df280,df281,df282,df283,
         df284,df285,df286,df287,df288,df289,df290,df291,df292,df293,
         df294,df295,df296,df297,df298,df299,df300,df301,df302,df303,
         df304,df305,df306,df307,df308,df309,df310,df311,df312,df313,
         df314,df315,df316,df317,df318,df319,df320,df321,df322,df323,
         df324,df325,df326,df327,df328,df329,df330,df331,df332,df333,
         df334,df335,df336,df337,df338,df339,df340,df341,df342,df343,
         df344,df345,df346,df347,df348,df349,df350,df351,df352,df353,
         df354,df355,df356,df357,df358,df359,df360,df361,df362,df363,
         df364,df365,df366,df367,df368,df369,df370,df371,df372,df373,
         df374,df375,df376,df377,df378,df379,df380,df381,df382,df383,
         df384,df385,df386,df387,df388,df389,df400,df401,df402,df403,
         df404,df405,df406,df407,df408,df409,df410,df411,df412,df413,
         df414,df415,df416,df417,df418,df419,df420,df421,df422,df423,
         df424,df425,df426,df427,df428,df429,df430,df431,df432,df433,
         df434,df435,df436,df437,df438,df439,df440,df441,df442,df443,
         df444,df445,df446,df447,df448,df449,df450,df451,df452,df453,
         df454,df455,df456,df457,df458,df459,df460,df461,df462,df463,
         df464,df465,df466,df467,df468,df469,df470,df471,df472,df473,
         df474,df475,df476,df477,df478,df479,df480,df481,df482,df483,
         df484,df485,df486,df487,df488,df489,df490,df491,df492,df493,
         df494,df495,df496,df497,df498,df499,df500,df501,df502,df503,
         df504,df505,df506,df507,df508,df509,df510,df511,df512,df513,
         df514,df515,df516,df518,df519,df520,df521,df522,df523,
         df524,df525,df526,df527,df528,df529,df530,df531,df532,df533,
         df534,df535,df536,df537,df538,df539,df540,df541,df542,df543,
         df544,df545,df546,df547,df548,df549,df550,df551,df552,df553,
         df554,df555,df556,df557,df558,df559,df560,df561,df562,df563,
         df564,df565,df566,df567,df568,df569,df570,df571,df572,df573,
         df574,df575,df576,df577,df578,df579,df580,df581,df582,df583,
         df584,df585,df586,df587,df588,df589,df590,df591,df592,df593,
         df594,df595,df596,df598,df599,df600,df601,df602,df603,df604,
         df605,df606,df607,df608,df609,df610,df611,df612,df613,df614,
         df615,df616,df617,df618,df619,df620,df621,df622,df623,df624,
         df625,df626,df627,df628,df629,df630,df631,df632,df633,df634,
         df635,df636,df637,df638,df639,df641,df642,df643,df644,
         df645,df646,df647,df648,df649,df650,df651,df652,df653,df654,
         df655,df656,df657,df658,df659,df660,df661,df662,df663,df664,
         df665,df666,df667,df668,df669,df670,df671,df672,df673,df674,
         df675,df676,df677,df678,df679,df680,df681,df682,df683,df684,
         df685,df686,df687,df688,df689,df690,df691,df692,df693,df694,
         df695,df696,df697,df698,df699,df700,df701,df702,df703,df704,
         df705,df706,df707,df708,df709,df710,df711,df712,df713,df714,
         df716,df717,df718,df719,df720,df721,df722,df723,df724,
         df725,df726,df727,df728,df729,df730,df731,df732,df733,df734,
         df735,df736,df737,df738,df739,df740,df741,df742,df743,df744,
         df745,df746,df747,df748,df749,df750,df751,df752,df753,df754,
         df755,df756,df757,df758,df759,df760,df761,df762,df763,df764,
         df765,df766,df767,df768,df769,df770,df771,df772,df773,df774,
         df775,df776,df777,df778,df779,df780,df781,df782,df783,df784,
         df785,df786,df787,df788,df789,df790,df791,df792,df793,df794,
         df795,df796,df797,df798,df799,df800,df801,df802,df803,df804,
         df805,df806,df807,df808,df809,df810,df811,df812,df813,df814,
         df815,df816,df817,df818,df819,df820,df821,df822,df833,df834,
         df835,df836,df837,df838,df839,df840]


result = pd.concat(flujo)



def moving_average(x, w):
    return np.convolve(x, np.ones(w), 'valid') / w

print('Forma del documento de flujo (filas y columnas):', result.shape)
#print(result)

print('Datos de la media móvil', moving_average(result['flujo'],10).shape)
print(moving_average(result['flujo'],10))

f = result['flujo']
t = result['unix']


plt.scatter(result['unix'],result['flujo'], marker= '+', linewidth = 0.1)
plt.scatter(result['unix'],result['media'], s= 8, marker= '+', color = 'red', alpha = opac)
#plt.hlines(result['flujo'].mean(), result.unix[0:1], result.unix[2794541:2794542], colors= 'green', linestyles = '-.')
plt.xlabel('Fecha (yy/mm/dd)')
plt.ylabel('Voltaje (mV)')
plt.ylim(400,800) 
title = 'Flujo de partículas cósmicas - WCD Characatito'
#plt.text(df500[3500], 760,'hola')
#plt.text(df500[3500], 700, 'hola')
plt.title(title)
plt.savefig("flujo.png", dpi=300)






#result.plot.scatter(x = 'unix', y = 'flujo', marker= '+', linewidth = 0.1)
#result.plot.scatter(x = 'unix', y = 'media', linewidth = 0.1, color = 'red', alpha = opac)
#plt.xlabel('Fecha (yy/mm/dd)')
#plt.ylabel('Voltaje (mV)')
#plt.ylim(500,700) 


#result.plot.scatter(x = 'day', y = 'flujo', marker= '+', linewidth = 0.1)
#plt.xlabel('Fecha (yy/mm/dd)')
#plt.ylabel('Voltaje (mV)')
#result.plot(x = 'unix', y = 'flujo', linewidth = 0.2)
#plt.ylim(500,1300) 